Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the 'What version do you have?' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
What version do you have?
Authored by: jecwobble on Jul 25, '05 10:55:30AM

I found the app, but -s is not an option for me. When using -h I get this:


./airport AirPort v.4.1 (410.22.0)
Command line tool for automatically joining recently trusted networks that are available
and for enquiring AirPort info.
Supported arguments:
	-a      --autojoin       join most recently trusted network that is available
	-f<arg> --file=<arg>     use <arg> as airport preference file instead of 
			/Library/Preferences/SystemConfiguration/com.apple.airport.preferences.plist
	-m<arg> --mac=<arg>      use <arg> instead of current AirPort MAC Address
	-x      --xml            print info as XML
	-h      --help           
	 --getinfo               
	 --scan                  
	 --showstack             
	 --all                   

I am using 10.3.9. Perhaps the -s option is included with 10.4?



[ Reply to This | # ]
What version do you have?
Authored by: Han Solo on Jul 25, '05 11:27:14AM
What's wrong with airport --scan ? Works for me on 10.3.9. airport --all is interesting too.

[ Reply to This | # ]
What version do you have?
Authored by: atverd on Jul 25, '05 12:13:53PM

You have Airport 4.1. With 4.2 Apple added a lot of new functionality to the tool. This has nothing to do with Panther vs. Tiger - just Airport software versions.



[ Reply to This | # ]